%define svndate 20091207
%define svnrev 674
%define snapshot 0%{?svnrev}
%if %{snapshot}
%define svnrelease .%{svndate}svn%{svnrev}
%endif

Name:           gnelib
Version:        0.75
Release:        0.1%{svnrelease}%{?dist}
Summary:        Game Network Engine library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gillius.org/gne/
#Source0:        http://downloads.sourceforge.net/gnelib/%{name}-%{version}.tar.gz
# fedora-getsvn gnelib https://gnelib.svn.sourceforge.net/svnroot/gnelib/trunk %{svnrev}
Source0:        %{name}-svn%{svnrev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  ncurses-devel
BuildRequires:  hawknl-devel
BuildRequires:  doxygen graphviz


%description
GNE, or the Game Networking Engine, is a cross-platform, multithreaded, C++
networking library with an API specifically addressing the needs of game
networking. There are two parts of GNE, the first being the mid-level classes
that handle packeted, error checked, and bandwidth throttled communication
between two peers.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       hawknl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}

sed -i.lib64 -e 's|DESTINATION lib|DESTINATION %{_lib}|' src/CMakeLists.txt


%build
mkdir build
pushd build
%{cmake} -DHAWKNL_INCLUDE_PATH=%{_includedir}/hawknl ..
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT

# remove static lib
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
# remove installed docs
rm -rf $RPM_BUILD_ROOT%{_datadir}/libgnelib-dev/docs
# set timestamps on generated files to some constant
find docs/html -exec touch -r %{SOURCE0} {} \;
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Authors Changes License Readme
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc build/docs/html
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Sun Nov 21 2010 Dan Horák <dan[at]danny.cz> - 0.75-0.1.20091207svn674
- initial version - svn revision 674
